<?php

class sites_handler_filter_site_current extends views_handler_filter {
	
  function query() {
    $sid = context_get('sites','sid');
    if ($sid) {
      if ($this->relationship) {
        $base_table = $this->view->query->relationships[$this->relationship]['table'];
      }
      else {
        $base_table = $this->view->base_table;
      }

      switch ($base_table) {
        case 'node':
          $table = $this->view->query->ensure_table('site_node', $this->relationship);
          $this->view->query->add_where(0, "$table.sid = %d", $sid);
          break;
      }
    }
    else if ($this->options['operator'] === 'all') {
      // Set a failure condition and let the display manager handle it.
      $this->view->build_info['fail'] = TRUE;
    }
  }

  function admin_summary() {
    return 'Current site';
  }
}
